Package com.sas.lsaf.execution.job

## Enum Manifest.ManifestType

- java.lang.Object
- - java.lang.Enum<Manifest.ManifestType>
  - - com.sas.lsaf.execution.job.Manifest.ManifestType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Manifest.ManifestType>`
  Enclosing class:
    Manifest

      public static enum Manifest.ManifestType
      extends java.lang.Enum<Manifest.ManifestType>

  The manifest type that indicates whether the job was run as a published job in the repository or if it was run in the workspace.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `PUBLISHED` | The manifest file is from a job that was run in the repository.
    `TEST` | The manifest file is from a test job that was run in the workspace.
    `WORKSPACE` | The manifest file is from a job that was run in the workspace.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Manifest.ManifestType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Manifest.ManifestType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WORKSPACE

          public static final Manifest.ManifestType WORKSPACE

      The manifest file is from a job that was run in the workspace.

    - #### PUBLISHED

          public static final Manifest.ManifestType PUBLISHED

      The manifest file is from a job that was run in the repository.

    - #### TEST

          public static final Manifest.ManifestType TEST

      The manifest file is from a test job that was run in the workspace.

  - ### Method Detail

    - #### values

          public static Manifest.ManifestType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Manifest.ManifestType c : Manifest.ManifestType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Manifest.ManifestType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null